
%if !0%{?bootstrap}
%endif

Name:    kio-extras
Version: 23.08.5
Release:    1%{?dist}
Summary: Additional components to increase the functionality of KIO Framework

License: GPLv2+
URL:     https://invent.kde.org/network/%{name}

%global revision %(echo %{version} | cut -d. -f3)
%if %{revision} >= 50
%global stable unstable
%else
%global stable stable
%endif
Source0: http://download.kde.org/%{stable}/release-service/%{version}/src/%{name}-%{version}.tar.xz



%global __provides_exclude_from ^(%{_kf5_qtplugindir}/.*\\.so)$

BuildRequires:  bzip2-devel
BuildRequires:  cmake(KF5KExiv2)
BuildRequires:  gperf

BuildRequires:  extra-cmake-modules
BuildRequires:  kf5-kactivities-devel
BuildRequires:  kf5-karchive-devel
BuildRequires:  kf5-kconfig-devel
BuildRequires:  kf5-kconfigwidgets-devel
BuildRequires:  kf5-kcoreaddons-devel
BuildRequires:  kf5-kdbusaddons-devel
BuildRequires:  kf5-kdelibs4support-devel
BuildRequires:  kf5-kdnssd-devel
BuildRequires:  kf5-kdoctools-devel
BuildRequires:  kf5-khtml-devel
BuildRequires:  kf5-ki18n-devel
BuildRequires:  kf5-kiconthemes-devel
BuildRequires:  kf5-kio-devel
BuildRequires:  kf5-kpty-devel
BuildRequires:  kf5-rpm-macros
BuildRequires:  kf5-solid-devel
BuildRequires:  cmake(KF5SyntaxHighlighting)
BuildRequires:  cmake(KF5ActivitiesStats)

BuildRequires:  cmake(KDSoap) >= 1.9
BuildRequires:  libjpeg-devel
BuildRequires:  libmtp-devel
BuildRequires:  libsmbclient-devel
BuildRequires:  libssh-devel
BuildRequires:  cmake(OpenEXR)
BuildRequires:  openslp-devel
BuildRequires:  perl-generators
BuildRequires:  phonon-qt5-devel
BuildRequires:  pkgconfig(libimobiledevice-1.0)
BuildRequires:  pkgconfig(libplist-2.0)
BuildRequires:  pkgconfig(libtirpc)
BuildRequires:  pkgconfig(shared-mime-info)
BuildRequires:  pkgconfig(xcursor)
BuildRequires:  qt5-qtbase-devel
BuildRequires:  qt5-qtsvg-devel
BuildRequires:  taglib-devel > 1.11
BuildRequires:  zlib-devel

%if 0%{?tests}
BuildRequires: dbus-x11
BuildRequires: time
BuildRequires: xorg-x11-server-Xvfb
%endif

Conflicts: kde-l10n < 17.03


Provides:  kio-extras-docs = %{version}-%{release}


Recommends: qt5-qtimageformats
Recommends: (icoutils if wine-core)


%description
%{summary}.

%package info
Summary: Info kioslave
%description info
Kioslave for reading info pages.

%package        devel
Summary:        Development files for %{name}
Requires:       %{name} = %{version}-%{release}
%description devel
%{summary}.


%prep
%autosetup -p1


%build
%cmake_kf5 \
  -DLIBSSH_LIBRARIES="$(pkg-config --libs libssh)" \
  %{?tests:-DBUILD_TESTING:BOOL=ON}

%cmake_build


%install
%cmake_install

%find_lang %{name} --all-name --with-html


%check
%if 0%{?tests}
export CTEST_OUTPUT_ON_FAILURE=1
xvfb-run -a dbus-launch --exit-with-session \
time make test -C %{_target_platform} ARGS="--output-on-failure --timeout 10" ||:
%endif


%post -p /sbin/ldconfig
%postun -p /sbin/ldconfig

%files -f %{name}.lang
%dir %{_datadir}/konqueror/
%dir %{_datadir}/konqueror/dirtree/
%dir %{_datadir}/konqueror/dirtree/remote/
%dir %{_kf5_plugindir}/kded
%dir %{_kf5_plugindir}/kio/
%dir %{_kf5_plugindir}/kiod/

%license LICENSES/*

%{_datadir}/config.kcfg/jpegcreatorsettings5.kcfg
%{_datadir}/dbus-1/services/org.kde.kmtpd5.service
%{_datadir}/kio_bookmarks/
%{_datadir}/kio_docfilter/
%{_datadir}/konqueror/dirtree/remote/mtp-network.desktop
%{_datadir}/konqueror/dirtree/remote/smb-network.desktop
%{_datadir}/mime/packages/org.kde.kio.smb.xml
%{_datadir}/remoteview/

%{_kf5_datadir}/kservices5/*.desktop
%{_kf5_datadir}/kservicetypes5/thumbcreator.desktop
%{_kf5_datadir}/qlogging-categories5/%{name}*
%{_kf5_datadir}/solid/actions/solid_afc.desktop
%{_kf5_datadir}/solid/actions/solid_mtp.desktop

%{_kf5_libdir}/libkioarchive.so.5*

%{_kf5_libexecdir}/smbnotifier

%{_kf5_plugindir}/kded/filenamesearchmodule.so
%{_kf5_plugindir}/kded/recentdocumentsnotifier.so
%{_kf5_plugindir}/kded/smbwatcher.so
%{_kf5_plugindir}/kfileitemaction/kactivitymanagerd_fileitem_linking_plugin.so
%{_kf5_plugindir}/kfileitemaction/forgetfileitemaction.so
%{_kf5_plugindir}/kio/activities.so
%{_kf5_plugindir}/kio/afc.so
%{_kf5_plugindir}/kio/archive.so
%{_kf5_plugindir}/kio/bookmarks.so
%{_kf5_plugindir}/kio/filter.so
%{_kf5_plugindir}/kio/fish.so
%{_kf5_plugindir}/kio/kio_filenamesearch.so
%{_kf5_plugindir}/kio/man.so
%{_kf5_plugindir}/kio/mtp.so
%{_kf5_plugindir}/kio/nfs.so
%{_kf5_plugindir}/kio/recentdocuments.so
%{_kf5_plugindir}/kio/recentlyused.so
%{_kf5_plugindir}/kio/sftp.so
%{_kf5_plugindir}/kio/smb.so
%{_kf5_plugindir}/kio/thumbnail.so
%{_kf5_plugindir}/kiod/kmtpd.so
%{_kf5_plugindir}/thumbcreator/*.so

%{_kf5_qtplugindir}/kfileaudiopreview.so

%files info
%{_kf5_plugindir}/kio/info.so
%dir %{_datadir}/kio_info/
%{_datadir}/kio_info/kde-info2html*

%files devel
%{_includedir}/KioArchive/*.h
%{_kf5_libdir}/cmake/KioArchive/


%changelog
* Thu Sep 26 2024 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 23.08.5-1
- initial build
